#!/bin/tcsh -f

alias awk 'gawk'
alias sed 'gsed'

if($OSTYPE == "linux"  ) then
alias awk awk
alias sed sed
alias java "/usr/bin/java"
alias wsac_dt-num "/data/22/taira/prog/fort_x86_linux/wsac_dt-num"
alias rsac_dt-num2 "/data/22/taira/prog/fort_x86_linux/rsac_dt-num2"
#alias sac /data/seis01/taira/sac-101.4_x86_linux/bin/sac
endif


set all_csv = "test.csv"
rm -f $all_csv
touch $all_csv
#foreach cc_cohTMP ( cs_xc.out/BVY.EHZ..allCSs.5.12.xc.8-24Hz.10.max_dist.log.tt.catalog.cc-coh.out  cs_xc.out/BSR.EHZ..allCSs.5.12.xc.8-24Hz.10.max_dist.log.tt.catalog.cc-coh.out)

#foreach cc_cohTMP ( "cs_xc.out/"*"allCSs.5.12.xc.8-24Hz.10.max_dist.log.tt.catalog.cc-coh.out" )
foreach cc_cohTMP ( "cs_xc.out/"*"BHZ."*"allCSs.40.00.xc.1-8Hz.9999999.max_dist.log.ld.catalog.cc-coh.out" )

#cat cs_xc.out/BVY.EHZ..allCSs.5.12.xc.8-24Hz.10.max_dist.log.tt.catalog.cc-coh.out
echo "# cc_cohTMP = "$cc_cohTMP
set cc_cohTMPOUT = $cc_cohTMP".csv"
echo "# cc_cohTMPOUT = "$cc_cohTMPOUT
set sta = `echo $cc_cohTMP | awk 'BEGIN{FS="/";}{print $2;}' | awk 'BEGIN{FS=".";}{print $1;}' `

set com = `echo $cc_cohTMP | awk 'BEGIN{FS="/";}{print $2;}' | awk 'BEGIN{FS=".";}{print $2;}' `

echo "# sta = "$sta" com = "$com
cat $cc_cohTMP| awk -v sta=$sta -v com=$com '{ev1=$1;ev2=$2;xc=$3;coh=$4;ev1id=$5;ev2id=$6; print ev1","ev2","xc","coh","ev1id","ev2id","sta","com }' >! $cc_cohTMPOUT

#exit

cat $cc_cohTMPOUT >> $all_csv
end # cc_cohTMP

#exit
cp -f $all_csv file1
#cp -f test2.csv file1
LinkCRE.pl
exit













set year = "2008"





set yyopt = `echo $year | awk '{print ($1 % 4);  }' `
#echo "# year = "$year
echo "# year = "$year" yyopt = "$yyopt
if($yyopt == 0 ) then
set total_jday = 366
endif # yyopt
if($yyopt != 0 ) then
set total_jday = 365 
endif # yyopt



set jday = 2
#echo "# TEST"
#set jday = 336
#set total_jday = 336

while ($jday <= $total_jday )
@ jday = $jday + 0 # to the number jdaySt
set sjday = $jday
if($jday < 10 ) then
set sjday = "00"$jday
else if($jday < 100 ) then
set sjday = "0"$jday
endif

echo "# sjday = "$sjday



#set sjday = "117"


set yyout = `echo $year | awk '{print substr($1,3,2)}'`
echo "# yyout = "$yyout

set yyjday = $year"."$sjday

set mmout = `caldate -f  %m $yyjday `
set ddout = `caldate -f  %d $yyjday `


echo "# mmout = "$mmout" ddout = "$ddout

#set xc_fiTMP  = `ls ../XC.ME29*/*$year"."$sjday*XC*sac `
#set xc_fiTMP  = `ls ../XC.YBH*/*$year"."$sjday*XC*sac `
set xc_fiTMP  = `ls ../XC.ME13*/*$year"."$sjday*XC*sac `
#echo "# xc_fiTMP = "$xc_fiTMP


foreach xc_fi ( $xc_fiTMP )
#foreach xc_fi ( ../XC.ME29.BHE.01_ME01.BHE.01.28H.1-8Hz.2008/ME29.BHE.01_ME01.BHE.01.D.2008.117.000000.XCEnveTT.sac ../XC.ME29.BHE.01_ME02.BHE.01.28H.1-8Hz.2008/ME29.BHE.01_ME02.BHE.01.D.2008.117.000000.XCEnveTT.sac  )
set others_sta = `echo $xc_fi | awk 'BEGIN{FS="/";}{print $3}' | awk 'BEGIN{FS="_";}{print $2}'   | awk 'BEGIN{FS=".";}{print $1}'    `

#echo "# others_sta = "$others_sta

set dt_fi = `echo $xc_fi | sed 's/XCEnve/dtEnve/g' `


#echo "# xc_fi = "$xc_fi
#echo "# dt_fi = "$dt_fi

rm -fr xc.sac dt.sac
cp -f $xc_fi xc.sac
cp -f $dt_fi dt.sac
#exit

sac <<EOF > /dev/null
cuterr fillz
cut 0 8.640000e+04
r xc.sac dt.sac
w over
quit
EOF

rm -f p.sac p.dat
cp -f xc.sac p.sac
rsac_dt-num2 > /dev/null
mv p.dat xc.dat

rm -f p.sac p.dat
cp -f dt.sac p.sac
rsac_dt-num2 > /dev/null 
mv p.dat dt.dat



paste xc.dat dt.dat >! xcdt.dat
cat xcdt.dat | awk -v sta=$others_sta '{time=$1+0;cc=$2+0;dt=$4+0; print time","cc","dt","sta; }' >! $others_sta"."$year"."$sjday".xcdt.dat"

#exit




end # xc_fi



set all_xcdt_out = "MTJ."$year"."$sjday".xcdtall.dat"
set all_xcdt_sort = "MTJ."$year"."$sjday".xcdtall.sort"
set all_xcdt_phase = "MTJ."$year"."$sjday".xcdtall.phase"

rm -fr  $all_xcdt_out   $all_xcdt_sort 
foreach xcdt_out ( *"."$year"."$sjday".xcdt.dat"  )

cat $xcdt_out >> $all_xcdt_out


end # xcdt

sort -n $all_xcdt_out >! $all_xcdt_sort 




perl makePhaseTT.pl $all_xcdt_sort $yyout $mmout $ddout >! $all_xcdt_phase




@ jday = $jday + 1
#end  # jday
end # while day




set all_phase_out = "MTJ.xcdtall.phase.all.out"
rm -fr $all_phase_out
foreach phase_out ( "MTJ."*"."*".xcdtall.phase")

cat $phase_out >> $all_phase_out
end
